Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis2.deployment.repository.util
Class DeploymentFileData

    java.lang.Object
      org.apache.axis2.deployment.repository.util.DeploymentFileData

    public class DeploymentFileData

extends java.lang.Object

DeploymentFileData represents a "thing to deploy" in Axis2. It consists of a file, a deployment ClassLoader, and a Deployer.

Constructor Summary
`DeploymentFileData(java.io.File file)`
`DeploymentFileData(java.io.File file, Deployer deployer)`

Method Summary
`void` | `deploy()`
`java.lang.String` | `getAbsolutePath()`
`java.lang.ClassLoader` | `getClassLoader()`
`Deployer` | `getDeployer()`
`java.io.File` | `getFile()`
`static java.lang.String` | `getFileExtension(java.lang.String fileName)`
`java.lang.String` | `getName()` Get the name of the file.
`java.lang.String` | `getServiceName()` Deprecated. please use getName() instead - this will disappear after 1.3.
`static boolean` | `isModuleArchiveFile(java.lang.String filename)`
`static boolean` | `isServiceArchiveFile(java.lang.String filename)` Checks whether a given file is a jar or an aar file.
`void` | `setClassLoader(boolean isDirectory, java.lang.ClassLoader parent, java.io.File file, boolean isChildFirstClassLoading)`
`void` | `setClassLoader(java.lang.ClassLoader classLoader)`
`void` | `setDeployer(Deployer deployer)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DeploymentFileData

    public DeploymentFileData(java.io.File file)

### DeploymentFileData

    public DeploymentFileData(java.io.File file,
                              Deployer deployer)

Method Detail

### getAbsolutePath

    public java.lang.String getAbsolutePath()

### getClassLoader

    public java.lang.ClassLoader getClassLoader()

### getFile

    public java.io.File getFile()

### getName

    public java.lang.String getName()

  Get the name of the file.

  Returns:
    the name of the referenced file

### getServiceName

    public java.lang.String getServiceName()

  Deprecated. please use getName() instead - this will disappear after 1.3.

  Get the name of the file.

  Returns:
    the name of the referenced file

### isModuleArchiveFile

    public static boolean isModuleArchiveFile(java.lang.String filename)

### isServiceArchiveFile

    public static boolean isServiceArchiveFile(java.lang.String filename)

  Checks whether a given file is a jar or an aar file.

  Parameters:
    `filename` - file to check
  Returns:
    Returns boolean.

### getFileExtension

    public static java.lang.String getFileExtension(java.lang.String fileName)

### setClassLoader

    public void setClassLoader(java.lang.ClassLoader classLoader)

### setClassLoader

    public void setClassLoader(boolean isDirectory,
                               java.lang.ClassLoader parent,
                               java.io.File file,
                               boolean isChildFirstClassLoading)
                        throws AxisFault

  Throws:
    `AxisFault`

### getDeployer

    public Deployer getDeployer()

### setDeployer

    public void setDeployer(Deployer deployer)

### deploy

    public void deploy()
                throws DeploymentException

  Throws:
    `DeploymentException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2011 The Apache Software Foundation. All Rights Reserved.